/*
 * $Id: ReaderInputStream.java 3167 2006-09-22 15:47:04 +0000 (Fri, 22 Sep 2006) holger $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the MuleSource MPL
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.extras.spring.config;

import java.io.IOException;
import java.io.InputStream;
import java.io.Reader;

public class ReaderInputStream extends InputStream
{
    private Reader reader = null;

    public ReaderInputStream(Reader reader)
    {
        this.reader = reader;
    }

    /**
     * @see java.io.InputStream#read()
     */
    public int read() throws IOException
    {
        return reader.read();
    }
}
